class Status:

    # Class constructor
    def __init__(self):
        self.__status_desc_dict = {
            1: 'Checking for updates...',
            2: 'Newest profiles loaded.',
            3: 'New profiles downloaded. Restart program to update.',
            4: 'Profiles updates disabled.',
            5: 'New version available. Visit 3DGence.com to download.',
            6: 'Can not download profiles update information.',
            7: 'Can not download application version information.',
            8: 'Can not add a new profile to database.',
            9: 'Can not add a new printer to dababase.',
            10: 'Can not add a new fdm to database.',
            11: 'There are no profiles to download.',
            12: 'New profiles installed.',
            13: 'Version check failed.',
            14: 'Material profiles are up to date.',
            15: 'Response is empty!',
            16: 'Update error'
        }

    #######################################################################################

    # Get status description
    def get_status_description(self, status, error_code=0):
        is_key_exist = status in self.__status_desc_dict
        result = self.__status_desc_dict[status] if is_key_exist is True else 'Lack of description for this status!'
        if status == 6 or status == 7 or status == 16:
            result = result + ' (error ' + str(error_code) + ').'
        return result
