# Copyright (c) 2015 Ultimaker B.V.
# Uranium is released under the terms of the AGPLv3 or higher.

from . import SITranslateTool


def getMetaData():
    return {
        "type": "tool",
        "plugin": {
            "name": "3D Gence translation tool",
            "author": "3DGence",
            "version": "1.0",
            "description": "Translation",
            "api": 3
        },
        "tool": {
            "name":"3DGence translation toon",
            "description":"Move model",
            "icon": "translate",
            "visible": False,
            "weight": -1
        }
    }

def register(app):
    return { "tool": SITranslateTool.SITranslateTool() }
