import QtQuick 2.4
import Settings 1.0 as Settings

AdditionsCompensationButtonForm {

    Connections {
        target: autoMouseArea
        onClicked: {
            spinBoxAlias.valueText = 100
            onAutoClicked()
        }
    }

    Connections {
        target: undoMouseArea
        onClicked: {
            Settings.Notifications.set_xy_compensation("None")
            onUndoClicked()
        }
    }

    Connections {
        target: spinBoxAlias.onValueChanged
        onTriggered: {
            if(validValue){
                Settings.Notifications.set_xy_compensation(spinBoxAlias.valueText)
            }
        }
    }

    function onUndoClicked() {
        spinBox = false
        auto = true
        customSettingsCounter--
        updateCurrentOption()
    }

    function onAutoClicked() {
        spinBox = true
        auto = false
        customSettingsCounter++
        updateCurrentOption()
    }
}
