import QtQuick 2.0
import QtQuick.Layouts 1.1

import "../singletons"

Text {
    property real widthRatio: 0.15 
    text: " :"
    Layout.preferredWidth: parent.width * widthRatio
    anchors.verticalCenter: parent.verticalCenter
    anchors.verticalCenterOffset: 2
    color: Colors.spinBoxLabelText
    font.pixelSize: Globals.fontPixelSize
    font.family: Fonts.boxed
}
