if(BUILD_OS_WINDOWS)
	if(BUILD_OS_WIN64)
		set(pillow_url "https://pypi.python.org/packages/1d/7a/c246a587db18194a7fd520c383b5dca7f154d378344dc00c3135d54ad54d/Pillow-4.1.1-cp35-cp35m-win_amd64.whl")
	else()
		set(pillow_url "https://pypi.python.org/packages/64/b7/fc4fba0628b0d3102b83724bfc03e5f8fb222ad7da5cd3e39e9826f75361/Pillow-4.1.1-cp35-cp35m-win32.whl")
	endif()
endif()

if(BUILD_OS_LINUX)
	set(pillow_url "https://pypi.python.org/packages/97/17/fadfc92ffa5db9da7b0d902d72972a16b807b51219f4017f45899d0a5f7c/Pillow-4.1.1-cp35-cp35m-manylinux1_x86_64.whl")
endif()
	
if(BUILD_OS_OSX)
ExternalProject_Add(Pillow
    URL https://pypi.python.org/packages/0f/57/25be1a4c2d487942c3ed360f6eee7f41c5b9196a09ca71c54d1a33c968d9/Pillow-5.0.0.tar.gz
    URL_MD5 08094bc48aae6877c94f8db4b8ee8e52
    CONFIGURE_COMMAND ""
    BUILD_COMMAND ${PYTHON_EXECUTABLE} setup.py build
    INSTALL_COMMAND ${PYTHON_EXECUTABLE} setup.py install --single-version-externally-managed --record=pyserial-install.log
    BUILD_IN_SOURCE 1
)
endif()

if(BUILD_OS_WINDOWS)
add_custom_target(Pillow
	COMMAND ${PYTHON_EXECUTABLE} -m pip install ${pillow_url}
	COMMENT "Installing Pillow"
)
endif()

SetProjectDependencies(TARGET Pillow DEPENDS Python)
