# Copyright (c) 2015 Ultimaker B.V.
# Uranium is released under the terms of the AGPLv3 or higher.

from . import GenceOrientFaceToPlaneOperation
from . import GenceOrientFaceToPlaneTool


def getMetaData():
    return {
        "plugin": {
            "name":"Gence Orient Face To Plane Tool",
            "author": "3DGence",
            "version": "1.0",
            "description": "Lays model on polygon selected by mouse",
            "api": 3
        },
        "tool": {
            "name":"Orient Face To Plane Tool",
            "description": "Provides tool to select face to orient to a plane.",
            "icon": "orient_face_to_plane_tool",
            "tool_panel": "OrientFaceToPlaneTool.qml",
            "weight": 1
        }
    }

def register(app):
    return { "tool": GenceOrientFaceToPlaneTool.GenceOrientFaceToPlaneTool() }
