import QtQuick 2.0

import "../singletons"

Rectangle {
    property alias mouseArea: mouseArea
    property bool activityIndicator

    antialiasing: true
    width: topSide.width * 0.15
    height: topSide.width * 0.15
    radius: width/2
    color: activityIndicator ? Colors.cubeActiveDot : Colors.cubeInactiveDot

    MouseArea {
        id: mouseArea
        x: -(parent.width/2)
        y: -(parent.height/2)
        width: parent.width * 2
        height: parent.height * 2
    }
}
