[shaders]
vertex =
    uniform highp mat4 u_modelViewProjectionMatrix;

    attribute highp vec4 a_vertex;
    attribute lowp vec2 a_uvs;

    varying lowp vec2 v_uvs;


    void main()
    {
        gl_Position = u_modelViewProjectionMatrix * a_vertex;
        v_uvs = a_uvs;
    }

fragment =
    uniform lowp vec4 u_gridColor0;
    uniform lowp vec4 u_gridColor1;
    uniform lowp vec2 u_fieldSize;

    uniform sampler2D u_texture;

    varying lowp vec2 v_uvs;

    void main()
    {


        mediump vec4 final_color = vec4(0.0);
        //lowp vec4 texture = texture2D(u_texture, v_uvs);
        //final_color = mix(final_color, texture, texture.a/2.0);


        if( mod(floor(v_uvs.x*10.0),100.0)<=10.0 || mod(floor(v_uvs.y*10.0),100.0)<=10.0)
        {
            final_color = u_gridColor1;
        }else
            final_color = vec4(0.5,0.5,0.5,0.7);



        gl_FragColor=u_gridColor1;

       // if( mod(

        //gl_FragColor = vec4(0.5,0.5,0.5,0.7);
    }

[defaults]
u_gridColor0 = [0.96, 0.96, 0.96, 1.0]
u_gridColor1 = [0.6, 0.6, 0.6, 1.0]

[bindings]
u_modelViewProjectionMatrix = model_view_projection_matrix

[attributes]
a_vertex = vertex
a_uvs = uv0
